Name:		timidity-init
Version:	0.3
Release:	%mkrel 2
Summary:	Init script for TiMidity++ ALSA sequencer
License:	GPL
Source0:	timidity.init
Source1:	timidity.sysconfig
URL:		http://timidity.sourceforge.net/
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	TiMidity++
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Requires(post,preun):	rpm-helper

%description
Contains init script to launch TiMidity++ as a service. This allows one to
hear music played by any application which outputs to a MIDI device
even if you do not own a MIDI synthesizer soundcard.

#german
%description -l de
Enthält Init-Skript zu starten TiMidity + + als Dienstleistung an. Dies ermöglicht es,
Musik hören mit jeder Anwendung, die ein MIDI-Gerät gespielt Ausgänge
auch wenn Sie nicht selbst ein MIDI-Synthesizer-Soundkarte.

#french
%description -l fr
Contient un script d'initialisation au lancement TiMidity + + comme un service. Ceci permet de
entendre de la musique joué par n'importe quelle application qui affiche sur un périphérique MIDI
même si vous ne possédez pas de carte son synthétiseur MIDI.

#spanish
%description -l es
Contiene script de inicio para iniciar TiMidity + + como un servicio. Esto le permite a uno
escuchará música que se reproduce por cualquier aplicación que las salidas a un dispositivo MIDI
incluso si usted no posee una tarjeta de sonido de sintetizador MIDI.

#polish
%description -l pl
Contains init script to launch TiMidity++ as a service. This allows one to
hear music played by any application which outputs to a MIDI device
even if you do not own a MIDI synthesizer soundcard.

#serbian
%description -l sr
Садржи инит-скрипту за покретање бојажљивост + као сервис. Ово омогућава да
чују музику коју игра било коју апликацију за МИДИ излаза на уређају
чак и ако немате за МИДИ синтисајзер звучну картицу.

#dutch
%description -l nl
Bevat init script te starten TiMidity + + als een service. Hierdoor kan een tot
horen muziek gespeeld door een toepassing die uitgangen aan een MIDI-apparaat
zelfs als u niet de eigenaar van een MIDI-synthesizer geluidskaart.

%install
rm -rf %buildroot

install -d -m 755 %buildroot%_initrddir
install -d -m 755 %buildroot%_sysconfdir/sysconfig
install -m 755 %SOURCE0 %buildroot%_initrddir/timidity
install -m 644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/timidity

%post
%_post_service timidity

%preun
%_preun_service timidity

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/sysconfig/timidity
%config(noreplace) %_initrddir/timidity


%changelog
* Wed Oct 7 2009 gseaman <gseaman2186@comcast.net> 0.3-2pclos2010
- Rebuild for PCLOS

* Sun Jan 18 2009 Neverstopdreaming <neverstopdreaming@gmail.com> 0.3-1pclos2007
- Rebuild for PCLOS

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-4mdv2009.0
+ Revision: 242859
- rebuild
- fix prereq on rpm-helper
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 0.3-2mdv2008.0
+ Revision: 26289
- LSB initscript
- bunzip2 sources
- fix install
- use %%mkrel
- Import timidity-init



* Sun Feb 20 2005 Abel Cheung <deaddog@mandrake.org> 0.3-1mdk
- 0.3, submitted by Miguel Barrio Orsikowsky <megamik@zarb.org>:
  o made a total rewrite of script and sysconfig file
  o modified description
- Add more parameters to allow extra tuning

* Tue Nov 16 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2-2mdk
- fixed a bug in the way of launching the program
- lower quality by default (less CPU consumption)

* Tue Nov 16 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2-1mdk
- modified init script to launch timidity in true daemon mode

* Tue Nov 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-2mdk
- actually bunzip2 source
- use spaces in stead of tabs at the top of init file, using tabs breaks it
- cosmetics

* Sun Aug 29 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- from Miguel Barrio Orsikowsky
  - first version
